package com.zjrs.zwnw.rlzysc.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.dto.GxygDTO;
import com.zjrs.zwnw.rlzysc.dto.GxygQueryDTO;
import com.zjrs.zwnw.rlzysc.po.VRsRlzyGxygPO;

import java.util.Map;

public interface GxygBPO{

    // 查询共享用工列表
    PageResult getGxygList(GxygQueryDTO dto);

    // 查询共享用工
    VRsRlzyGxygPO getGxyg(GxygDTO dto);

    public void updateState(GxygDTO dto);

    public void updateShztAndFbzt(GxygDTO dto);

    Map<String,Object> getGxygStates();

    public void updateGxygStates(GxygDTO dto);
}
